Search found 38 matches

Go to advanced search

by Chri1
Sat Sep 14, 2019 9:52 am
Forum: Forum in Deutsch
Topic: Schaltflächen für Funktionen eines Makro
Replies: 5
Views: 210

Re: Schaltflächen für Funktionen eines Makro

Hab ich befürchtet.
Habe nun ein 2. Makro gemacht und dem eine Schaltfläche zugeordnet:

Code: Select all

import meinmakro
meinmakro.meineKlasse.variante()    #def-Name  variante
Nix Tragisches, wäre aber doch fein, wenn man das irgendwann innerhalb der Schaltfläche erledigen könnte.

LG
Chri
by Chri1
Fri Sep 13, 2019 10:57 am
Forum: Forum in Deutsch
Topic: Schaltflächen für Funktionen eines Makro
Replies: 5
Views: 210

Schaltflächen für Funktionen eines Makro

Hi Es geht um Werkzeuge/Benutzerdefiniert/Makros: Wie man prinzipiell einem Makro eine Schaltfläche zuordnen kann, weiß ich. Allerdings kann man im entsprechenden Dialogfenster nur den Dateinamen angeben. Gibt es eine Möglichkeit, auch die gewünschte Funktion (def...) innerhalb des Makros anzugeben?...
by Chri1
Tue Aug 13, 2019 3:07 pm
Forum: Python scripting and macros
Topic: removeEventCallbackPivy from console
Replies: 2
Views: 287

Re: removeEventCallbackPivy from console

Another question: The Information should be visible only until mouseclick. But whole FreeCAD crashes with: .... def getpoint(self,event_cb): global objectAnn event = event_cb.getEvent() if type(event) == SoMouseButtonEvent: print("Ende") self.view.removeEventCallbackPivy(SoEvent.getClassTypeId(),sel...
by Chri1
Mon Jul 29, 2019 9:50 am
Forum: Python scripting and macros
Topic: Cancel a program from a child window
Replies: 1
Views: 83

Cancel a program from a child window

Hi I have a class "andocken" which calls a Dialogwindow. (The dialogwindow is another class (Ui_Dialog) in a another file (andock_diag.py) ) class andocken: def __init__(self,val): import bkNeu_diag reload(bkNeu_diag) self.d = QtGui.QDialog(FreeCADGui.getMainWindow()) self.d.ui=andock_diag.Ui_Dialog...
by Chri1
Fri Jul 19, 2019 4:42 pm
Forum: Forum in Deutsch
Topic: Abbrechen eines Programmes von einem child-Window aus
Replies: 0
Views: 108

Abbrechen eines Programmes von einem child-Window aus

Hi Habe eine Python-Frage: Die Klasse "andocken" ruft ein Dialogfenster auf (andere Datei, andere Klasse) class andocken: def __init__(self,val): import bkNeu_diag reload(bkNeu_diag) self.d = QtGui.QDialog(FreeCADGui.getMainWindow()) self.d.ui=andock_diag.Ui_Dialog() self.d.ui.setupUi(self.d, pipeou...
by Chri1
Mon May 20, 2019 12:42 pm
Forum: Forum in Deutsch
Topic: Bearbeiten/Ausrichtung per code
Replies: 1
Views: 123

Bearbeiten/Ausrichtung per code

Hi

Wie kann ich den Befehl Bearbeiten/Ausrichtung innerhalb eines Python-Code verwenden?
Oder muss ich es in 2 Teilen (Verschieben, Drehen) erledigen? (Das wollte ich mir ersparen)

LG
Chri1
by Chri1
Mon May 20, 2019 11:57 am
Forum: Python scripting and macros
Topic: removeEventCallbackPivy from console
Replies: 2
Views: 287

removeEventCallbackPivy from console

Hi I have an EventCallback which fixes an AnnotationLabel at the Cursor and is finished by mouse-left-click: import FreeCADGui, Part from pivy.coin import * import FreeCAD App = FreeCAD import Draft objectAnn = None class cursorInf: global objectAnn global gp def __init__(self): print("anf") FreeCAD...
by Chri1
Fri May 17, 2019 10:01 am
Forum: Python scripting and macros
Topic: Hide /Close Dialog
Replies: 1
Views: 87

Hide /Close Dialog

Hi I have a dialog-window for userinput of parameters for a cuboid. There is a OK-Button and after clicking it, the Dialog should disappeare - That is my problem! Then a new Dialog appeares "Click a Insertion Point" .... import DraftSnap ..... class Ui_Dialog(QtGui.QDialog): def setupUi(self, Dialog...
by Chri1
Fri May 17, 2019 9:09 am
Forum: Python scripting and macros
Topic: QT-Dialog convert to python
Replies: 7
Views: 521

Re: QT-Dialog convert to python

Additional.
After some try and error I added this Code:

Code: Select all

class doit():
   def __init__(self):
       self.d = QQtGui.QMainWindow() 
       self.d.ui = bkneu.Ui_Dialog()
       self.d.ui.setupUi(self.d)
       self.d.show()
And now it works also with: bkneu.doit()

Chr1
by Chri1
Mon May 13, 2019 3:27 pm
Forum: Forum in Deutsch
Topic: Benutzerabfrage Punkt
Replies: 9
Views: 447

Re: Benutzerabfrage Punkt

Hi

Im "Python scripting and macros" bin ich der Sache auf die Spur gekommen:

Code: Select all

https://forum.freecadweb.org/viewtopic.php?f=22&t=36270&p=307863#p307863
LG
Chri1

Go to advanced search